package com.lz.modules.third.dao;
/**
* <p>
* 第三方应用配置表 服务类
* </p>
*
* @author quyixiao
* @since 2020-08-17
*/
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lz.modules.third.entity.ThirdAppConfig;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface ThirdAppConfigMapper extends BaseMapper<ThirdAppConfig> {


	ThirdAppConfig selectThirdAppConfigById(@Param("id")Long id);


	Long insertThirdAppConfig(ThirdAppConfig thirdAppConfig);


	int updateThirdAppConfigById(ThirdAppConfig thirdAppConfig);


	int updateCoverThirdAppConfigById(ThirdAppConfig thirdAppConfig);


	int deleteThirdAppConfigById(@Param("id")Long id);


    ThirdAppConfig getByAppId(@Param("appid") String appid);
}